<!-- BACK OFFICE  -->
<div *ngIf="authenticationService.isAdmin; else elseBlock" class="text-center bg-pastel p-3 my-5 border z-depth-2">
  <h2>{{jour.name}}</h2>
  <form [formGroup]="changePlatForm" (ngSubmit)="changePlat()">
    <div class="form-group">
      <label form="platOne">Plat 1</label>

      <select formControlName="platOne" class="form-control">
        <optgroup label="Plat actuel">
          <option selected disabled value="">{{jour.one.name}}</option>
        </optgroup>
        <optgroup label="Plats disponnibles">
          <option *ngFor="let plat of platsList; let i = index" [value]="i">{{plat.name}}</option>
        </optgroup>
      </select><br />

      <label for="platTwo">Plat 2</label>

      <select formControlName="platTwo" class="form-control">
        <optgroup label="Plat actuel">
          <option selected disabled value="">{{jour.second.name}}</option>
        </optgroup>
        <optgroup label="Plats disponnibles">
          <option *ngFor="let plat of platsList; let i = index" [value]="i">{{plat.name}}</option>
        </optgroup>
      </select>
      <input type="submit" value="Valider" class="btn btn-grey text-white mt-5">
    </div>
  </form>
</div>


<!-- VUE CLIENT -->
<ng-template #elseBlock>
<div (click)="order(jour)" class="card view text-center mt-4">
  <h4 class="card-header bg-pastel">{{jour.name}}</h4>
  <div class="card-body">
    <h5 class="label bg-grey py-3 my-4">{{jour.one.name}}</h5>
    <span>ou</span>
    <h5 class="label bg-grey py-3 my-4">{{jour.second.name}}</h5>
  </div>
  <div *ngIf="!jour.orderable" class="mask flex-center rgba-black-light">
    <!-- <p class="white-text">Vous ne pouvez commander pour ce jour actuellement</p> -->
  </div>
</div>
</ng-template>